Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.model
Class Address

    java.lang.Object
      com.gisgraphy.model.BaseObject
          com.gisgraphy.model.Address

All Implemented Interfaces:
  java.io.Serializable

    public class Address

extends BaseObject
implements java.io.Serializable

This class is used to represent an address with address, city, province and postal-code information.

Author:
  Matt Raible
See Also:
  Serialized Form

Constructor Summary
`Address()`

Method Summary
`boolean` | `equals(java.lang.Object o)` Overridden equals method for object comparison.
`java.lang.String` | `getAddress()`
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getProvince()`
`int` | `hashCode()` Overridden hashCode method - compares on address, city, province, country and postal code.
`void` | `setAddress(java.lang.String address)`
`void` | `setCity(java.lang.String city)`
`void` | `setCountry(java.lang.String country)`
`void` | `setPostalCode(java.lang.String postalCode)`
`void` | `setProvince(java.lang.String province)`
`java.lang.String` | `toString()` Returns a multi-line String with key=value pairs.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Address

    public Address()

Method Detail

### getAddress

    public java.lang.String getAddress()

### getCity

    public java.lang.String getCity()

### getProvince

    public java.lang.String getProvince()

### getCountry

    public java.lang.String getCountry()

### getPostalCode

    public java.lang.String getPostalCode()

### setAddress

    public void setAddress(java.lang.String address)

### setCity

    public void setCity(java.lang.String city)

### setCountry

    public void setCountry(java.lang.String country)

### setPostalCode

    public void setPostalCode(java.lang.String postalCode)

### setProvince

    public void setProvince(java.lang.String province)

### equals

    public boolean equals(java.lang.Object o)

  Overridden equals method for object comparison. Compares based on hashCode.

  Specified by:
    `equals` in class `BaseObject`
  Parameters:
    `o` - Object to compare
  Returns:
    true/false based on hashCode

### hashCode

    public int hashCode()

  Overridden hashCode method - compares on address, city, province, country and postal code.

  Specified by:
    `hashCode` in class `BaseObject`
  Returns:
    hashCode

### toString

    public java.lang.String toString()

  Returns a multi-line String with key=value pairs.

  Specified by:
    `toString` in class `BaseObject`
  Returns:
    a String representation of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.